QGIS Application - Bug report #8497

python console can't open anymore if special character has been written in previous session

2013-08-21 11:57 PM - Denis Rouzaud

Status: Closed

Priority: High

Assignee: Salvatore Larosa
Category: PyQGIS Console

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 17260

Description

If you have an accent (é in my case) present in console_history.txt, the console can't be open and an error occurs at
https://github.com/3nids/Quantum-GIS/blob/master/python/console/console sci.py#L296

History

#1 - 2013-08-22 01:26 AM - Giovanni Manghi
- Assignee set to Salvatore Larosa

#2 - 2013-08-22 02:31 AM - Salvatore Larosa

Hi Denis,

it looks like you have an old code in your fork, that encoding problem has already been fixed recently

please can you update your fork and try again ?

Thanks!

#3 - 2013-08-22 02:44 AM - Denis Rouzaud
- Status changed from Open to Closed

yes, you're right, everything's ok.!!!
thanks!
https://github.com/3nids/Quantum-GIS/blob/master/python/console/console_sci.py#L296

